package com.skr.mdm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @ProjectName: mdm_new
 * @Package: com.skr.mdm.enums
 * @ClassName: LogAdminType
 * @Author: Tty
 * @Description: 管理员日志类型枚举类
 * @Date: 2020/7/22 15:56
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum LogAdminTypeEnum {
	//日志类型（1：登录 2：设备 3：用户 4：指令 5：策略 6：应用 7：内容 8：其他操作 9:通信 10：报警 11:访问控制）
	LOGIN_TYPE(1),
	DEVICE_TYPE(2),
	USER_TYPE(3),
	INSTRUCT_TYPE(4),
	STRATEGY_TYPE(5),
	APP_TYPE(6),
	CONTENT_TYPE(7),
	OTHER_TYPE(8),
	COMMUNICATION_TYPE(9),
	ALARM_TYPE(10),
	ACCESS_TYPE(11);

	private final Integer LogType;
}
